                             Rune Release Notes

                                    Rune
                   Developed by:  Human Head Studios, Inc.
                   Published by:  Gathering Of Developers
                   Linux port by: Loki Software, Inc.

                                     ---



STARTING RUNE

Run 'rune' to start the game.

The first time you run Rune it will create a ~/.loki/rune directory.
Saved games, temporary files, and preferences will be stored here.

The following arguments may be given to Rune:

      [-h | --help]           Display this help message
      [-v | --version]        Display the game version
      [-f | --fullscreen]     Run the game fullscreen
      [-w | --windowed]       Run the game in a window
      [-s | --nosound]        Do not access the soundcard
      [-u | --update]         Run the Loki auto-update tool
      [-q | --qagent]         Run the Loki QAgent support tool

---

For the latest information and updates

http://www.lokigames.com/products/rune/



Technical Support

http://www.lokigames.com/support/

---


Troubleshooting


Sound Issues

You can obtain faster performance on lower end machines by selecting low
audio quality from the Audio Tab in the Options Menu.

The Rune audio engine currently defaults to (16) channels of audio for
single player mode and (8) channels for multiplayer mode. Users with fast
machines and at least 128 Megs of RAM would greatly benefit by increasing
the amount of sound effect channels to 24 or 36.  

To change this setting:
Edit ~/.loki/rune/System/Rune.ini

Change the value of the variable Channels (under ALAudio.ALAudioSubSystem) 
to a different value.  For instance, 24 or 32 will increase the number 
of simultaneous effects, while 8 or 12 will drop it.  The default is 16.

You can also set the output rate (variable OutputRate) to one of these 
values: 11025Hz, 22050Hz, 44100Hz

These changes should not be made while Rune is running.  The next time you 
launch the game, the changes will take effect.

Known sound issues:

ˇ         4front Technologies OSS drivers have a known latency problem
with their drivers.  Rune uses OpenAL for its audio subsystem, and  OpenAL 
takes advantage of a kernel feature which allows an application to resize the
audio buffer at runtime.  This feature is missing in the OSS drivers.

Network play issues

ˇ         56k Modems or better

ˇ         Cable or DSL connections, or LAN connections via T-1/T-3
recommended

To obtain best performance, use a dedicated server for multiplayer.  If no
machine can be spared as a dedicated server, make sure the fastest machine
being used is set up as the server.

Control issues

Some keyboards can't recognize certain combinations of 3 or more 
simultaneously pressed keys.  Otherwise, key mapping is completely
customizable to the player.

Gore Levels

Rune is by nature a violent game about a time when swords and axes were the
preferred method of settling a dispute.  It is intended for Mature audiences
aged 17 or above.  For those who wish to play the game at a reduced level of
violence, however, we have included violence controls to lower the level of
violence.  There are three levels of gore settings, which can be changed
from the 'Game' Tab of the 'Options' Menu.  These setting are:

Normal:

            Full animated gore and violence

blood splatters, arms and heads can be cut off, bloody footprints and blood
decals from splash

Low Gore

            Limited Animated gore and violence

                        No bloodpslat decals, no bloody footprints, no
severed limbs (still has blood spray from hits, painskins and bloody
weapons)

Ultra Low

            No gore or blood



Advanced Options

The game settings are stored in ~/.loki/rune/System/Rune.ini, which is a 
plain text file you can edit with any text editor.  The following list some 
useful variables for extra tweaking of the game.

Audio

AmbientFactor: Scaled ambient sound effects relative to regular sound
effects. Can be 0.0 - 1.0, defaults to 0.7.

EffectsChannels: Number of simultaneously playing sound effects. Defaults to
16. Use a lower number to increase performance, at the expense of sound
detail.

LowSoundQuality: Increases performance and reduces memory usage, by
substituting lower-quality versions of sounds.

OutputRate: The sound playback rate.  The higher the number, the better the
sound quality and the slower the performance. 11025Hz is medium quality,
44100Hz is CD-quality.  The default is 22050Hz.

UseReverb: Enables and disables echos and reverb.

UseSurround: This is not presently supported.

Display

CaptureMouse: When enabled, causes Rune to hide the mouse cursor when you
are playing within a window.

LowDetailTextures: Increases performance and reduces memory usage by
substituting lower quality textures.  Great for low-memory machines.

NoLighting: Turns off all lighting within the game.  Looks ugly, but
increases performance on low-end machines.

StartupFullscreen: Whether to start up with the game running in a window, or
full-screen.

UseDirectDraw: Enables DirectDraw full-screen rendering support.

UseJoystick: Enables joystick support.

Joystick

InvertVertical: Inverts vertical joystick movement, for people who prefer
flight simulator style controls.

ScaleRUV: Scales the sensitivity of the trackball or advanced joystick axes.

ScaleXYZ: Scales the regular joystick axis sensitivity.

Networking / TCP/IP Network Play

DefaultByteLimit: The default transmission rate.  You should set this to
reflect the speed of your Internet connection, in order to maximize
performance:

ˇ         On 56K modem connections, use 3600.

ˇ         On LAN connections, use 25000.

The Connection speed combo box under Player options can be used to choose
from some preset speed levels such as 56K, ISDN, and T1/Cable.

Rendering

Here, there are rendering options for each 3D rendering driver installed on
the system.

Coronas: Enables translucent coronas around lightsources.

DetailTextures: Enables special ultra-high resolution textures which add
detail to complex surfaces when you get up close.

HighDetailActors: Enables rendering of high detail objects in the world.
This should be turned on for fast machines, and turned off for slow
machines.

ShinySurfaces: Enables shiny (reflective) surfaces.

VolumetricLighting: Enables space-filling, volumetric lighting and fog.
Only visible on some 3D hardware drivers, and in the software renderer on
MMX PC's.

 Recording Demos

You can make a recording of game play for demonstration purposes.  This
feature is included AS IS, meaning that you may encounter certain
performance issues such as certain animations not functioning properly or
looking odd during playback.  Demos can be created from the console only.
Hit <Tab> or <~> to access the command console.  The commands for this mode
are as follows:

DemoRec <Name>      Records a demo under the file name given

StopDemo                    Stops the current recording

DemoPlay <Name>      Plays the recorded demo saved under the given name.

Performance tips

Our focus in creating Rune has been to deliver a next-generation game that
brings 3d gaming to a new level of realism. That is good. A side effect of
this is that Rune has the same performance issues as Unreal in running
slower than past 3dgames on older or low-end PC's.  That is bad...but it's
an inevitable result of the large quantity of high-detail artwork; open,
realistic, and high-detail environments; and high-detail animations in the
game.

What follows are some tips on how to up Rune's performance on machines where
the game runs slowly.

Low Detail Settings

The "Advanced Options" menu contains many settings that enable you to trade
off detail for performance.  Here are the choices:

Display / Low Detail Textures: Trades memory for texture detail
(resolution).   When on, reduces memory usage by 5 megabytes on average.
Recommended for slow PC's and PC's with low memory.

Audio / Low Sound Quality: Trades memory for sound quality. Turning this on
reduces sounds to 8-bit, saving a significant amount of memory.

Audio / OutputRate: Trades speed for sound quality.

ˇ         11025 Hz: Medium sound mixing quality; best for non-MMX machines.

ˇ         22050 Hz: High sound mixing quality; the default.

ˇ         44100 Hz: Ultra high sound quality.

Audio / EffectsChannels: Trades speed for sound realism.  The default is a
highly realistic 16 channels of sound.  On slower machines, you may want to
change this number to 8 or 12.

Memory

Rune's performance is highly dependent on the amount of RAM you have in your
machine, and the amount of memory that is available. Machines with less
memory will access their hard disk more frequently to load data, which
causes sporadic pauses in gameplay. Thus, if you have a 64 megabyte (or
less) machine, you should make sure that you don't have other unnecessary
programs loaded in memory when playing Rune.

How Rune will perform under different RAM conditions:

ˇ         64 megabytes: This is the minimum required amount of RAM required
to run the game.  You will encounter slower performance due to machines
accessing the hard drive to load data.

ˇ         128 megabytes: This is the recommended amount of RAM for RUNE to
run at its intended performance level.

ˇ         256 megabytes or more: You will encounter terrific performance
even on slower CPU machines.

In short, get 128MB or more if you want this game to really shine!

(Under Linux, it is advisable to have approximately 512MB of RAM and swap
combined.  If you do not already have sufficient swap, you can use dd and 
mkswap to create a temporary swap file.  Consult the manpage for mkswap 
for details ('man mkswap').)

CPU Speed

Rune is also very sensitive to CPU speed, memory bandwidth, and cache
performance.   Thus, it runs far better on leading-edge processors such as
AMD Athlon or Intel Pentium III based machines than it does on older
machines.

How Rune will perform on different classes of machines:

ˇ         Pentium II; K6-2/ K6-3 with 3DNow!: Very nice rendering speed;
consistent frame rate.

ˇ         Pentium III, or Athlon machines:  Very good performance.  You
should experiment with the settings for best performance, but at 640x480, by
32-bit color depth, you should be able to run the game quite smoothly with
all options set to their highest settings.

Considering upgrading?

For people considering upgrading their machines, here are some tips based on
our experience running Rune on a variety of machines:

1.      If you have a Pentium II or AMD k6-2 or k6-3 class machine, the best
performance increase you can get will be with adding more RAM.  We recommend
increasing your system RAM to 128MB or 256MB if you have the resources to do
so.

2.      Another performance gain you can get in Rune, as in Unreal comes
from having an AMD Athlon or Intel Pentium III class processor or better.
These processors have dramatically improved cache performance, memory
performance, and floating-point performance compared to earlier Pentiums and
Pentium II's, and that all translates to faster gameplay.  The performance
improvements in these processors are especially accentuated in Rune, which
contains much more content (textures, sounds, animations, level geometry)
than other 3D action games.

3.      The next upgrade that tends to improve Rune performance dramatically
is a new video card.  We recommend the following cards for best performance
(in alphabetical order):

*       ATI Radeon Chipset

*       Nvidia GeForce Class Chipset (GeForce/GeForce2/GeForceMX, GeForce 2
Ultra)

*       VooDoo 4/5 Class Chipset



Controls

Note that all controls can be customized to your liking via the Controls tab
of the Options menu.  Hit the Escape key to access the game menu.


Keyboard

ESC             = menu

W, up arrow     = forward

S, down arrow   = back

A, left arrow   = left

D, right arrow  = right

q               = throw weapon/ item

e               = activate rune power

y               = Taunt

c               = crouch

space           = jump

1               = stow weapon/ item

2               = select sword/ next sword

3               = select club/ next club

4               = select axe/ next axe

F1              = Restart Level

F5              = QuickLoad

F7              = QuickSave

Ctrl            = use/ activate item

[               = zoom camera in

]               = zoom camera out

Enter           = attack

rt Shft         = defend

Pause           = Pause the game



Network Play Keys

CapsLock        = Toggle Scoreboard

Y               = Taunt

T               = Send Message

R               = Send Team Message



Mouse

Lft Btn         = attack

Rt Btn          = defend

Wheel           = camera zoom

Mdl Btn         = plant camera (or select enemy)



Although you can rely solely on your keyboard to move around in and interact
in Rune's 3D universe, using both the keyboard and mouse simultaneously
gives you much more fluid and responsive control.

When you use the mouse to control your rotational movement and aiming you
gain a degree of precision and speed that players using keyboard-only
controls can't touch. The keyboard is best used for easy lateral and
forward/backward movement, and for jumping.

To master the default controls in Rune, keep your left hand on the keyboard,
using the arrow keys for movement, the 0-9 keys for weapon selection, and
the space bar for jumping. Your right hand operates the mouse, controlling
rotation, aiming, and firing. Of course, you can customize these controls to
suit your preferences via the Options Menu.

Joystick

You can enable joystick support in Rune through the Options menu (it's off
by default).  You can use any Direct Input standard joystick or joypad for
movement and firing.  In addition, Rune has built-in support for the Panther
XL joystick that supports dual joystick and trackball play.

Standard joystick controls:

ˇ         Move/Rotate: Joystick handle

ˇ         Fire: Button 1

ˇ         AltFire: Button 2

ˇ         Jump: Button 3 (on 4-button joysticks)

ˇ         Duck: Button 4 (on 4-button joysticks)

Additional panther XL controls:

ˇ         Strafe/Look: Trackball

Internet and LAN games

The minimum speed connection for acceptable Internet play performance is a
56K modem connection to your Internet Service Provider.

When you become disconnected from a Rune server, you are placed in a small
holding level (which looks like the mists of time). From there, you can use
the menus to reconnect or join a new server.

       GamePlay

You can play Rune multiplayer by accessing the Multiplayer menu.  The first
thing you want to do is to click on the 'Player' tab.  Here you can choose
your own player name and look.

To play a game, you can either start your own server or join an existing
server via the Internet or Local Area Network.  To start your own server,
click the 'Server' tab.  Here you can name your server, choose the game
type, rules, settings and mutators.  To do this, select a map or maplist,
select your settings, and hit the 'Start' button.  Others will be able to
play either over the Internet or over your LAN.  Running a dedicated server
is described below under Dedicated Network Servers.

To join a game, click on the 'Join' tab.  Here you can select the best game
for you to play.  Servers can be sorted by their type, rules or ping time.
Ping is a measurement of how fast your connection is to a server.  Lower
numbers are better, and you should play on servers that feature ping times
of less than 300.  If you encounter a server with a higher ping number, you
will encounter very slow play. There are several options under the Join
Menu.  You can check on the latest news on Rune multiplayer, search for a
Local Area Network Server, or search the Internet for the best games via the
'All Servers' Tab.  You can further select a server that best matches your
style of play by selecting specific Team and Deathmatch servers.  Finally,
you can select to chat via IRC with other Rune players.

News will show the newest rune happenings and updates.

Known network play issues:

ˇ         When a new player enters a network game, clients may experience a
1/4-second pause while the mesh, skin, and other data is loaded for that
player. This is by design.

ˇ         Rune Internet play performance is highly dependent on the
bandwidth of your connection, the latency (ping time), and the packet loss.
The game is designed to be nicely playable with up to 200 msec ping times,
5% packet loss, and 56K connection speeds.  Performance degrades heavily
under worse latency, packet loss, and bandwidth connections.

When switching between levels in a deathmatch game with a frag limit or time
limit, players are temporarily moved into the holding level (a small level
that looks like the mists of time) for 5-10 seconds while the server
switches levels and informs the clients of the level change.



Dedicated Network Servers

Explanation

For optimal network play performance, you can launch a dedicated copy of the
Rune server on a computer.  This improves performance compared to using a
non-dedicated server but, of course, it ties up a PC.

Anybody may freely run dedicated servers on the Internet; you don't need to
get permission or fill out any paperwork.

Launching

You can launch a dedicated server by going through the regular Rune "Server"
tab of the "Multiplayer" menu, setting the appropriate options, then hitting
the "Dedicated" button.  This is what you'll want to do for quick LAN games
where you have an extra machine sitting around that can act as a dedicated
server.

Alternatively, you can launch a dedicated server from the command line by
running rune directly (which usually resides in /usr/local/games/rune/System,
or the System subdirectory of whatever other directory you installed the game 
in).  For example, to launch the level "DM-Zeto.run", run:

   rune DM-Hel.run -server

Multiple Servers Per Machine

Each copy of the dedicated server can serve one and only one level at a
time.

However, you can run multiple level servers on one machine. To do this, you
must give each server a unique TCP/IP port number. The default port number
is 7777. To specify a port, use the following kind of command line:

   rune DM-Hel.run port=7778 -server

General performance guidelines

We find that a 400 MHz Pentium II can usually handle about 16 players with
decent performance.  The performance varies with level complexity and other
machine speed factors, so your mileage may differ.  Note that there is no
absolute maximum player limit in the game; performance simply degrades as
the number of players grows huge.

For best performance, we recommend having 64 megabytes of memory per running
level.   For example, for running 4 simultaneous levels, 256 megabytes is
ideal.

The Rune server uses up at least 28.8Kbits per second of outgoing bandwidth
per player (on Internet), so if you run the server on a machine connected by
a 28.8K modem, you'll only be able to support one client with decent
performance.  Dedicated servers that support many players generally require
the outgoing bandwidth of a T1 line or better.

---



Credits

Rune Game Credits:



Dedicated to the Memory of Gene Rhinehart (1950-1999)



Programming Lead

Paul MacArthur



Art Manager

Ted Halsted



Business Director

Timothy S. Gerritsen



Programmers

Paul MacArthur

Chris Rhinehart



Additional Programming

Mike Craddick

Ben Gokey



Design

Human Head Studios, Incorporated



Level Design

Mick Beard

Dave Halsted

Ted Halsted

Jim Sumwalt



Additional Level Design

Greg Marshall



Animation

Jeff DeWitt

Nathaniel Albright



Environmental Textures

Greg Marshall



Character Textures

Tim Bowman



3D Modeling

Shane Gurno



Concept Art

Tim Bowman

Jeff DeWitt

Shane Gurno

Ted Halsted

Greg Marshall

Jim Sumwalt



Loreguide

Seth Johnson



Original Concept

Ted Halsted



PR and Marketing Support

Tim Gerritsen

Trish 'Kazi Wren' Harris

Chad Savage



Historical Advisor

Laurie Wise



Viking Ship Model By:

John Falgate



Additional Animation

Mike Werckle





Rune Audio Credits:





Direction and Production:

Michael Larson



Sound Effects

Michael Larson



Music

Jim B-Reay

Romulus Mars Priscus

Michael Larson



Voice Overs

Lee Ernst

Ted Halsted

Michael Larson

Tejumola F Ologboni

Sue Quinn

Nick Skrowaczewski



Dialog

Ted Halsted

Seth Johnson



Thanks

Kenny Stoll

Sean Wipfli

Larry Hill





Published By Gathering of Developers:



Licensing/PR

Mike Wilson



Producer

            Josh Galloway



PR

Lori Mezoff, Andrea Schneider, Jeff Smith



International Partnering

Harry Miller



Marketing

Jim Bloom, Mike Wilson, Devin Winterbottom, Jenny Jemison, Toni Devaldenbro



Sales

David Gershik



Audio/Visual Production

Doug Myres



Checkwriter

Rick Stults



Writer

William Haskins



Online Support

Jordan Allen, Mike Donahue, Ian Armstrong, Jerry Wolski, Scott Dudley, Scott
Farrell



QA/Tech Support

Rich Vos



Administrative

Joanna Carr-Brown Franke



Gathering of Developers Testers

Jason Birdwell

Shane Love

Jerrod Lai





Special thanks to Epic Games for their support and assistance.



Thanks to all our family and friends for all their support.  To the wives,
girlfriends, fiancés and friends that still love us even though we don't get
home much, we couldn't have made this a reality without you.



Thanks for the Runestones and Axes

Reginleif and Kirby Wise



Thanks for the OpenGL fix to:

Daniel Vogel/Loki Software



Thanks to the Human Head Beta Testers:

Brandi Quamme

Dan Baker

Eric Peters

John Kasab

Jonathan Leitheusser

Kevin Tritz

Louise Beard

Paul Tutcher

Scott Rammer

Seth Johnson

Travis Soumis







Linux port by : Loki Entertainment Software



President :

Scott Draeker



Programmers :

Daniel Vogel

Matt Carlson



Installer :

Sam Lantinga

Stephane Peter



Quality Assurance and Technical Support :

Mike "Heimdall" Phillips

Andy "Yoda" Mecham



Administrative Support :

Brandon Carter

Lance Colvin



Editor :

Kayt Sorhaindo
